Get a Balance Action by ID

get

/balanceAction/{id}

Gets the specified balance action.

Request

Path Parameters
  • The ID of the balance action to get.
    Example:
    0.0.0.1+-event-audit-transfer_balance+3213212
Query Parameters
  • The type of object to return: TransferBalance, TopupBalance, AdjustBalance, or AdjustBalanceOracle (for an extended object).
    Example:
    TransferBalance
  • The list of comma-separated fields to return in the response.
    Example:
    impactedBucket,usageType

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The specified balance action was retrieved successfully.
Body ()
Root Schema : BalanceAction
Type: object
An abstract resource for an action, such as adjusting or topping up a balance.
Show Source
Nested Schema : Quantity
Type: object
Represents an amount in a specified unit.
Show Source
Nested Schema : Bucket Ref
Type: object
Title: Bucket Ref
A reference to a bucket.
Show Source
Nested Schema : ChannelRef
Type: object
A reference to a channel.
Show Source
Nested Schema : impactedBucket
Type: array
The buckets impacted by the request.
Show Source
Nested Schema : Logical Resource Ref
Type: object
Title: Logical Resource Ref
A reference to a logical resource.
Show Source
Nested Schema : Party Account Ref
Type: object
Title: Party Account Ref
A reference to a party account.
Show Source
Nested Schema : ProductRef
Type: object
A product reference.
Match All
A product reference.
A product reference.
Show Source
Nested Schema : relatedParty
Type: array
The parties are related to the action.
Show Source
Nested Schema : Related Party
Type: object
Title: Related Party
A party related to another object.
Show Source
Nested Schema : ImpactedBucket
Type: object
A bucket impacted by a balance top-up, adjustment, transfer, or reservation.
Show Source
Nested Schema : item
Type: array
Minimum Number of Items: 1
The impacted bucket items.
Show Source
Nested Schema : ImpactedBucketItem
Type: object
An impact item that affects an ImpactedBucket object.
Show Source
Nested Schema : EntityRef
Match All
Represents an entity reference schema for EntityRef classes.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Addressable
Type: object
Defines a base schema for addressable entities.
Show Source
Nested Schema : EntityRef-allOf[2]
Type: object
Represents an entity reference schema for EntityRef classes.
Show Source

400 Response

The request isn't valid.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

401 Response

The client doesn't have the correct privileges.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

403 Response

The request wasn't authorized.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

404 Response

The requested resource couldn't be found.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

405 Response

This method is not allowed.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

409 Response

The request could not be processed due to the conflict with the existing state of the resource.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

500 Response

The system encountered an internal error.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source
Back to Top

Examples

The following example shows how to get a specific balance action by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.

curl -X GET 'http://host:port/brm/prepayBalanceManagement/version/balanceAction/0.0.0.1+-event-audit-transfer_balance+321321278103898458?@type=TransferBalance'

Response Body

The following example shows the contents of the response body in JSON format.

{
   "@baseType": "TransferBalance",
   "@schemaLocation": null,
   "@type": "TransferBalance",
   "amount": {
      "amount": 4,
          "units": "USD",
          "@baseType": "Quantity",
          "@schemaLocation": null,
          "@type": "Quantity"
   },
   "bucket": {
          "id": "0.0.0.1+-balance_group+292953+840+12",
          "href": "http://host:port/brm/prepayBalanceManagement/v4/bucket/0.0.0.1+-balance_group+292953+840+12",
          "name": null,
          "@baseType": "BucketRef",
          "@schemaLocation": null,
          "@type": "BucketRef",
          "@referredType": null
   },
   "channel": null,
   "confirmationDate": "2025-01-04T23:54:35+05:30",
   "costOwner": "originator",
   "description": "",
   "href": "http://host:port/brm/prepayBalanceManagement/v4/transferBalance/0.0.0.1+-event-audit-transfer_balance+321321278103898458",
   "id": "0.0.0.1+-event-audit-transfer_balance+321321278103898458",
   "impactedBucket": [
      {
         "@baseType": "ImpactedBucket",
         "@schemaLocation": null,
         "@type": "ImpactedBucket",
         "amountAfter": null,
         "amountBefore": null,
         "bucket": {
            "id": "0.0.0.1+-balance_group+292953+840+12",
            "href": "http://host:port/brm/prepayBalanceManagement/v4/bucket/0.0.0.1+-balance_group+292953+840+12",
            "name": null,
            "@baseType": "BucketRef",
            "@schemaLocation": null,
            "@type": "BucketRef",
            "@referredType": null         
         },
         "confirmationDate": "2025-01-04T23:54:35+05:30",
         "description": null,
         "item": [
            {
               "@baseType": "ImpactedBucketItem",
               "@schemaLocation": null,
               "@type": "ImpactedBucketItem",
               "amount": {
                  "amount": 2,
                  "units": "USD",
                  "@baseType": "Quantity",
                  "@schemaLocation": null,
                  "@type": "Quantity"
               },
               "description": null,
               "itemType": "debit",
               "name": "transfer cost-originator",
               "reason": null
            }
         ],
         "name": null,
         "requestedDate": "2025-01-04T23:54:35+05:30"
      }
   ],
   "logicalResource": {
      "@baseType": "LogicalResourceRef",
      "@referredType": null,
      "@schemaLocation": null,
      "@type": "LogicalResourceRef",
      "href": null,
      "id": null,
      "name": null,
      "value": "298-20210315-061509-2-93999--155732224-den00qny"
   },
   "partyAccount": {
      "id": "0.0.0.1+-account+293273",
      "href": null,
      "description": null,
      "name": "Adam Baker",
      "status": "active",
      "@baseType": "PartyAccountRef",
      "@schemaLocation": null,
      "@type": "PartyAccountRef",
      "@referredType": null
   },
   "product": {
      "id": "0.0.0.1+-service-telco-gsm-telephony+292441",
      "href": null,
      "name": "ServiceTelcoGsmTelephony",
      "@baseType": "ProductRef",
      "@schemaLocation": null,
      "@type": "ProductRef",
      "@referredType": null
   },
   "reason": null,
   "receiver": null,
   "receiverBucket": {
      "id": "0.0.0.1+-balance_group+293048+840+8",
      "href": "http://host:port/brm/prepayBalanceManagement/v4/bucket/0.0.0.1+-balance_group+293048+840+8",
      "name": null,
      "@baseType": "BucketRef",
      "@schemaLocation": null,
      "@type": "BucketRef",
      "@referredType": null
   },
   "receiverBucketUsageType": null,
   "receiverLogicalResource": {
      "@baseType": "LogicalResourceRef",
      "@referredType": null,
      "@schemaLocation": null,
      "@type": "LogicalResourceRef",
      "href": null,
      "id": null,
      "name": null,
      "value": "007-20210315-061430-0-93999--155732224-den00qny"
   },
   "receiverPartyAccount": {
      "id": "0.0.0.1+-account+293176",
      "href": null,
      "description": null,
      "name": "James Clark",
      "status": "active",
      "@baseType": "PartyAccountRef",
      "@schemaLocation": null,
      "@type": "PartyAccountRef",
      "@referredType": null
   },
   "receiverProduct": {
      "id": "0.0.0.1+-service-telco-gsm-telephony+292536",
      "href": null,
      "name": "ServiceTelcoGsmTelephony",
      "@baseType": "ProductRef",
      "@schemaLocation": null,
      "@type": "ProductRef",
      "@referredType": null
   },
   "relatedParty": null,
   "requestedDate": "2025-01-04T23:54:35+05:30",
   "requestor": null,
   "status": "CONFIRMED",
   "transferCost": {
      "amount": 2,
      "units": "USD",
      "@baseType": "Quantity",
      "@schemaLocation": null,
      "@type": "Quantity"
   },
   "usageType": "monetary"
}
Back to Top